package com.test.tests;

import static org.junit.Assert.assertTrue;

import java.io.IOException;
import java.net.URISyntaxException;

import org.eclipse.emf.ecore.EObject;
import org.junit.Test;

import com.test.util.ModelLoader;


public class TestLoading {
	//Model should be valid
	@Test
	public void  testModelWithPivotConstraint(){
		try {
			EObject model = ModelLoader.loadModel("com.test.model", "model/ClassA.xmi");
			assertTrue(ModelLoader.modelIsValid(model) == true);
		} catch (IOException e) {
			e.printStackTrace();
		} catch (URISyntaxException e) {
			e.printStackTrace();
		}
	}
	
	//Working no errors
	@Test
	public void testModelLoadingWithoutPivotConstriant(){
		try {
			EObject model = ModelLoader.loadModel("com.test.model" ,"model/example.ecore");
			assertTrue(ModelLoader.modelIsValid(model) == true);
		} catch (IOException e) {
			e.printStackTrace();
		} catch (URISyntaxException e) {
			e.printStackTrace();
		}
	}


}
